(ns plf08.alfabetoDes)





(defn abcdarioDes
  [c]
  (let [xs {"♜♜" \a
            "♞♜" \á
            "♝♜" \b
            "♛♜" \c
            "♚♜" \d
            "♖♜" \e
            "♘♜" \é
            "♗♜" \f
            "♕♜" \g
            "♔♜" \h
            "♜♞" \i
            "♞♞" \í
            "♝♞" \j
            "♛♞" \k
            "♚♞" \l
            "♖♞" \m
            "♘♞" \n
            "♗♞" \ñ
            "♕♞" \o
            "♔♞" \ó
            "♜♝" \p
            "♞♝" \q
            "♝♝" \r
            "♛♝" \s
            "♚♝" \t
            "♖♝" \u
            "♘♝" \ú
            "♗♝" \ü
            "♕♝" \v
            "♔♝" \w
            "♜♛" \x
            "♞♛" \y
            "♝♛" \z
            "♛♛" \0
            "♚♛" \1
            "♖♛" \2
            "♘♛" \3
            "♗♛" \4
            "♕♛" \!
            "♔♛" \"
            "♜♚" \#
            "♞♚" \$
            "♝♚"  \%
            "♛♚"  \&
            "♚♚"  \'
            "♖♚"  \(
            "♘♚"   \)
            "♗♚"   \*
            "♕♚"    \+
            "♔♚"  \,
            "♜♖"  \-
            "♞♖"  \.
            "♝♖"   \/
            "♛♖"   \:


            "♚♖"   \;
            "♖♖"   \<
            "♘♖"   \=
            "♗♖"   \>
            "♕♖"   \?
            "♔♖"   \@
            "♜♘"   \[
            "♞♘"   \\
            "♝♘"   \]
            "♛♘"   \^
            "♚♘"   \_
            "♖♘"   \`
            "♘♘"   \{
            "♗♘"    \|
            "♕♘"   \}
            "♔♘"    \~



            "♜♗" \5
            "♞♗"   \6
            "♝♗"  \7
            "♛♗"  \8
            "♚♗"  \9}

        a (fn [res] (cond

                      :else
                      (get xs res res)))]


    (a c)))



(abcdarioDes "♜♘")